Your Store: 680 Boundary Rd, Richlands QLD 4077 | Ph: (07) 3715 2200
On Sale
Order Code: C0092
ex-gst
inc-gst
$ 55.00
$ 60.50
$ 45.45
$ 50.00
1 Year Warranty
Compare
Wishlist
Description

Forged Steel Ratchet F-Clamp - RFC-1430

140mm Throat Depth, 300mm Clamping Capacity
Quick Action Ratchet Handle
Overview
Featuring drop forged steel construction for superior strength & rigidity making them virtually unbreakable along with a quick action ratchet clamping handle making them fast & easy to use. Manufactured with precision controlled hardening and tempering processes over the whole clamp body giving strength for high clamping force along with chrome plating treatment for high corrosion resistance.
Recommended Accessories
Compare Product Range Compare Selected
  • Compare: 
  • Wishlist: 
  • ORDER CODE
  • MODEL
  • Type
  • Clamping Capacity
  • Locking Handle - Pivot Movement
  • Clamp Bar - Pivot Movement
  • (mm)Plunger Travel
  • (mm)Throat Depth
  • (mm)Opening
  • Size
  • (No.)Quantity Per Pack
  • (kg)Clamping Force
  • (mm)Over all Length
  • (kg)Nett Weight
  • (ex-gst)Pricing  
  • (inc-gst)   
  • On Sale Cleco Fastener Pliers
  • Compare
  • Wishlist
  • H8500
  • ~
  • Cleco Fastener Pliers
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • $22.73
  • $25.00
  • ADD TO CART
  • On Sale Side Grip Clamps ½” x ½” – Jaw Type
  • Compare
  • Wishlist
  • H8525
  • ~
  • Cleco - Side Grip Clamp 1/2"
  • ~
  • ~
  • ~
  • ~
  • 12.5mm or ½ ”
  • 15mm (19/32”)
  • ~
  • 5
  • ~
  • ~
  • ~
  • $35.45
  • $39.00
  • ADD TO CART
  • On Sale Side Grip Clamps ½” x 1" – Jaw Type
  • Compare
  • Wishlist
  • H8530
  • ~
  • Cleco - Side Grip Clamp 1"
  • ~
  • ~
  • ~
  • ~
  • 25mm or 1”
  • 15mm (19/32”)
  • ~
  • 5
  • ~
  • ~
  • ~
  • $35.45
  • $39.00
  • ADD TO CART
  • On Sale Cleco Fasteners 3/32”
  • Compare
  • Wishlist
  • H8505
  • ~
  • Cleco Fasteners 3/32”
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $63.64
  • $70.00
  • ADD TO CART
  • On Sale - Package Deal Cleco KIT C/W Pliers & 3/32” Fasteners
  • Compare
  • Wishlist
  • H8506
  • ~
  • Cleco KIT C/W Plier & 3/32” Fasteners
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $77.27
  • $85.00
  • ADD TO CART
  • On Sale Cleco Fasteners 1/8”
  • Compare
  • Wishlist
  • H8510
  • ~
  • Cleco Fasteners 1/8”
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $63.64
  • $70.00
  • ADD TO CART
  • On Sale - Package Deal Cleco KIT C/W Pliers & 1/8” Fasteners
  • Compare
  • Wishlist
  • H8511
  • ~
  • Cleco KIT C/W Plier & 1/8” Fasteners
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $77.27
  • $85.00
  • ADD TO CART
  • On Sale Cleco Fasteners 5/32”
  • Compare
  • Wishlist
  • H8515
  • ~
  • Cleco Fasteners 5/32”
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $63.64
  • $70.00
  • ADD TO CART
  • On Sale - Package Deal Cleco KIT C/W Pliers & 5/32” Fasteners
  • Compare
  • Wishlist
  • H8516
  • ~
  • Cleco KIT C/W Plier & 5/32” Fasteners
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $77.27
  • $85.00
  • ADD TO CART
  • On Sale Cleco Fasteners 3/16”
  • Compare
  • Wishlist
  • H8520
  • ~
  • Cleco Fasteners 3/16”
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $63.64
  • $70.00
  • ADD TO CART
  • On Sale - Package Deal Cleco KIT C/W Pliers & 3/16” Fasteners
  • Compare
  • Wishlist
  • H8516
  • ~
  • Cleco KIT C/W Plier & 3/16” Fasteners
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 25
  • ~
  • ~
  • ~
  • $77.27
  • $85.00
  • ADD TO CART
  • On Sale - Limited Stock Micro Welding Steel Clamp Set MWC-4
  • Compare
  • Wishlist
  • W112
  • MWC-4
  • Micro Steel Clamp Set
  • 0 - 7mm
  • ~
  • ~
  • ~
  • ~
  • ~
  • ~
  • 4
  • ~
  • ~
  • ~
  • $22.73
  • $25.00
  • ADD TO CART
  • On Sale Butt Welding Aluminium & Steel Clamp Set BWC-4
  • Compare
  • Wishlist
  • W113
  • BWC-4
  • Butt Welding Clamp Set
  • 0 - 3mm
  • ~
  • ~
  • ~
  • 16
  • ~
  • 16 x 30mm Clamp Area
  • ~
  • Finger Thumb Lock
  • ~
  • 0.38
  • $24.55
  • $27.00
  • ADD TO CART
  • On Sale Vertical Toggle Clamp KL-102B
  • Compare
  • Wishlist
  • C1001
  • KL-102B
  • Vertical Toggle Clamp
  •  
  • 65º
  • 90º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 100kg
  • ~
  • 0.36
  • $13.64
  • $15.00
  • ADD TO CART
  • On Sale Vertical Toggle Clamp KL-12130
  • Compare
  • Wishlist
  • C100
  • KL-12130
  • Vertical Toggle Clamp
  •  
  • 65º
  • 100º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 227kg
  • ~
  • 0.36
  • $15.45
  • $17.00
  • ADD TO CART
  • On Sale Vertical Toggle Clamp MP-12265
  • Compare
  • Wishlist
  • C0999
  • MP-12265
  • Vertical Toggle Clamp
  •  
  • 58º
  • 105º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 340kg
  • ~
  • 0.7
  • $20.00
  • $22.00
  • ADD TO CART
  • On Sale Vertical Toggle Clamp MP-10247
  • Compare
  • Wishlist
  • C0998
  • MP-10247
  • Vertical Toggle Clamp
  •  
  • 70º
  • 135º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 450kg
  • ~
  • 1.25
  • $26.36
  • $29.00
  • ADD TO CART
  • On Sale Horizontal Toggle Clamp KL-201C
  • Compare
  • Wishlist
  • C1003
  • KL-201C
  • Horizontal Toggle Clamp
  •  
  • 87º
  • 79º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 100kg
  • ~
  • 0.36
  • $13.64
  • $15.00
  • ADD TO CART
  • On Sale Horizontal Toggle Clamp KL-225D
  • Compare
  • Wishlist
  • C1005
  • KL-225D
  • Horizontal Toggle Clamp
  •  
  • 65º
  • 90º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 250kg
  • ~
  • 0.36
  • $15.45
  • $17.00
  • ADD TO CART
  • On Sale Horizontal Toggle Clamp MP-20235
  • Compare
  • Wishlist
  • C1006
  • MP-20235
  • Horizontal Toggle Clamp
  •  
  • 50º
  • 85º
  • ~
  • ~
  • ~
  • ~
  • 1
  • 340kg
  • ~
  • 0.6
  • $20.00
  • $22.00
  • ADD TO CART
  • On Sale Straight Line Toggle Clamp KL-36020
  • Compare
  • Wishlist
  • C1008
  • KL-36020
  • Straight Line Toggle Clamp
  •  
  • 144.5º
  • ~
  • 29.3
  • ~
  • ~
  • ~
  • 1
  • 220kg
  • ~
  • 0.36
  • $20.00
  • $22.00
  • ADD TO CART
  • On Sale Straight Line with Threaded Collar Toggle Clamp MP-36224M
  • Compare
  • Wishlist
  • C1011
  • MP-36224M
  • Straight Line Toggle Clamp
  •  
  • 180º
  • ~
  • 67
  • ~
  • ~
  • ~
  • 1
  • 690kg
  • ~
  • 0.7
  • $26.36
  • $29.00
  • ADD TO CART
  • On Sale Straight Line Toggle Clamp MP-303-EM
  • Compare
  • Wishlist
  • C1009
  • MP-303-EM
  • Straight Line Toggle Clamp
  •  
  • 190º
  • ~
  • 50
  • ~
  • ~
  • ~
  • 1
  • 450kg
  • ~
  • 1.0
  • $29.09
  • $32.00
  • ADD TO CART
  • On Sale Straight Line Toggle Clamp MP-304-HM
  • Compare
  • Wishlist
  • C1010
  • MP-304-HM
  • Straight Line Toggle Clamp
  •  
  • 190º
  • ~
  • 62
  • ~
  • ~
  • ~
  • 1
  • 680kg
  • ~
  • 1.5
  • $32.73
  • $36.00
  • ADD TO CART
  • On Sale Forged Steel F-Clamp FC-820
  • Compare
  • Wishlist
  • C0021
  • FC-820
  • T-Bar Handle
  • 200mm
  • ~
  • ~
  • ~
  • 80mm
  • 200mm
  • 7.5 x 15.5mm
  • ~
  • 250kg
  • ~
  • 0.53
  • $16.36
  • $18.00
  • ADD TO CART
  • On Sale Forged Steel F-Clamp FC-1020
  • Compare
  • Wishlist
  • C0025
  • FC-1020
  • T-Bar Handle
  • 200mm
  • ~
  • ~
  • ~
  • 100mm
  • 200mm
  • 9.5 x 19.5
  • ~
  • 340kg
  • ~
  • 1
  • $21.82
  • $24.00
  • ADD TO CART
  • On Sale Forged Steel F-Clamp FC-1030
  • Compare
  • Wishlist
  • C0027
  • FC-1030
  • T-Bar Handle
  • 300mm
  • ~
  • ~
  • ~
  • 100mm
  • 300mm
  • 9.5 x 19.5
  • ~
  • 340kg
  • ~
  • 1.13
  • $24.55
  • $27.00
  • ADD TO CART
  • On Sale Forged Steel F-Clamp FC-1230
  • Compare
  • Wishlist
  • C0032
  • FC-1230
  • T-Bar Handle
  • 300mm
  • ~
  • ~
  • ~
  • 120mm
  • 300mm
  • 10.6 x 22
  • ~
  • 370kg
  • ~
  • 1.35
  • $28.18
  • $31.00
  • ADD TO CART
  • On Sale Forged Steel F-Clamp FC-1250
  • Compare
  • Wishlist
  • C0034
  • FC-1250
  • T-Bar Handle
  • 500mm
  • ~
  • ~
  • ~
  • 120mm
  • 500mm
  • 10.6 x 22
  • ~
  • 370kg
  • ~
  • 1.69
  • $31.82
  • $35.00
  • ADD TO CART
  • On Sale Forged Steel F-Clamp FC-1430
  • Compare
  • Wishlist
  • C0052
  • FC-1430
  • T-Bar Handle
  • 300mm
  • ~
  • ~
  • ~
  • 140mm
  • 300mm
  • 11.9 x 25.4
  • ~
  • 610kg
  • ~
  • 1.92
  • $38.18
  • $42.00
  • ADD TO CART
  • On Sale Forged Steel F-Clamp FC-1450
  • Compare
  • Wishlist
  • C0054
  • FC-1450
  • T-Bar Handle
  • 500mm
  • ~
  • ~
  • ~
  • 140mm
  • 500mm
  • 11.9 x 25.4
  • ~
  • 610kg
  • ~
  • 2.37
  • $42.73
  • $47.00
  • ADD TO CART
  • On Sale Forged Steel Ratchet F-Clamp RFC-820
  • Compare
  • Wishlist
  • C0071
  • RFC-820
  • Ratchet F Clamp
  • 200mm
  • ~
  • ~
  • ~
  • 80mm
  • 200mm
  • 7.5 x 15.5
  • ~
  • 230kg
  • ~
  • 0.64
  • $21.82
  • $24.00
  • ADD TO CART
  • On Sale Forged Steel Ratchet F-Clamp RFC-1020
  • Compare
  • Wishlist
  • C0075
  • RFC-1020
  • Ratchet F Clamp
  • 200mm
  • ~
  • ~
  • ~
  • 100mm
  • 200mm
  • 9.5 x 19.5
  • ~
  • 280kg
  • ~
  • 1.22
  • $29.09
  • $32.00
  • ADD TO CART
  • On Sale Forged Steel Ratchet F-Clamp RFC-1030
  • Compare
  • Wishlist
  • C0077
  • RFC-1030
  • Ratchet F Clamp
  • 300mm
  • ~
  • ~
  • ~
  • 100mm
  • 300mm
  • 9.5 x 19.5
  • ~
  • 280kg
  • ~
  • 1.35
  • $32.73
  • $36.00
  • ADD TO CART
  • On Sale Forged Steel Ratchet F-Clamp RFC-1230
  • Compare
  • Wishlist
  • C0082
  • RFC-1230
  • Ratchet F Clamp
  • 300mm
  • ~
  • ~
  • ~
  • 120mm
  • 300mm
  • 10.6 x 22
  • ~
  • 300kg
  • ~
  • 1.56
  • $38.18
  • $42.00
  • ADD TO CART
  • On Sale Forged Steel Ratchet F-Clamp RFC-1250
  • Compare
  • Wishlist
  • C0084
  • RFC-1250
  • Ratchet F Clamp
  • 500mm
  • ~
  • ~
  • ~
  • 120mm
  • 500mm
  • 10.6 x 22
  • ~
  • 300kg
  • ~
  • 1.9
  • $42.73
  • $47.00
  • ADD TO CART
  • On Sale Forged Steel Ratchet F-Clamp RFC-1430
  • Compare
  • Wishlist
  • C0092
  • RFC-1430
  • Ratchet F Clamp
  • 300mm
  • ~
  • ~
  • ~
  • 140mm
  • 300mm
  • 11.9 x 25.4
  • ~
  • 510kg
  • ~
  • 2.32
  • $45.45
  • $50.00
  • ADD TO CART
  • On Sale Forged Steel Ratchet F-Clamp RFC-1450
  • Compare
  • Wishlist
  • C0094
  • RFC-1450
  • Ratchet F Clamp
  • 500mm
  • ~
  • ~
  • ~
  • 140mm
  • 500mm
  • 11.9 x 25.4
  • ~
  • 510kg
  • ~
  • 2.76
  • $50.91
  • $56.00
  • ADD TO CART
  • Limited Stock BuildPro Magspring Clamp UDV45M
  • Compare
  • Wishlist
  • W07970
  • UDV45M
  • Magspring Clamp
  • ~
  • ~
  • ~
  • ~
  • 83
  • 75mm
  • ~
  • ~
  • 225kg
  • ~
  • 0.45
  • $35.00
  • $38.50
  • ADD TO CART
  • Limited Stock BuildPro Magspring Clamp UDV65M
  • Compare
  • Wishlist
  • W07971
  • UDV65M
  • Magspring Clamp
  • ~
  • ~
  • ~
  • ~
  • 83
  • 115mm
  • ~
  • ~
  • 225kg
  • ~
  • 0.5
  • $36.00
  • $39.60
  • ADD TO CART
  • Limited Stock 4 In One Utility Clamping System UM125PM-C3
  • Compare
  • Wishlist
  • W1026
  • UM125PM-C3
  • Utility Clamp
  • 320mm
  • ~
  • ~
  • ~
  • 140
  • ~
  • ~
  • ~
  • 1100kg
  • ~
  • 3.5
  • $190.00
  • $209.00
  • ADD TO CART
  • Limited Stock 4 In One Utlilty Clamping System UM205PM-C3
  • Compare
  • Wishlist
  • W1025
  • UM205PM-C3
  • Utility Clamp
  • 520mm
  • ~
  • ~
  • ~
  • 140
  • ~
  • ~
  • ~
  • 1100kg
  • ~
  • 4.5
  • $240.00
  • $264.00
  • ADD TO CART
  • Limited Stock BuildPro Round Stock Plier PG637V
  • Compare
  • Wishlist
  • W07990
  • PG637V
  • Round Stock Pliers
  • ~
  • ~
  • ~
  • ~
  • 76
  • 63.5mm
  • 216mm OAL
  • ~
  • ~
  • ~
  • 0.45
  • $35.00
  • $38.50
  • ADD TO CART
  • Limited Stock Pipe Plier PG622V
  • Compare
  • Wishlist
  • W1015
  • PG622V
  • Pipe Plier
  • 25 - 50mm
  • ~
  • ~
  • ~
  • 50
  • ~
  • ~
  • ~
  • ~
  • ~
  • 0.4
  • $35.00
  • $38.50
  • ADD TO CART
  • Limited Stock Pipe Plier - Large PG114VM
  • Compare
  • Wishlist
  • W1014
  • PG114VM
  • Pipe Plier
  • 38 - 64mm
  • ~
  • ~
  • ~
  • 89
  • ~
  • ~
  • ~
  • ~
  • ~
  • 1.3
  • $50.00
  • $55.00
  • ADD TO CART
  • Limited Stock Adjustable Corner Clamping Plier Set PA634
  • Compare
  • Wishlist
  • W1012
  • PA634
  • Adjustable Corner Plier Set
  • 76mm (B)
  • ~
  • ~
  • ~
  • 76 (A)
  • ~
  • ~
  • ~
  • ~
  • 216 (C)
  • 1.1
  • $110.00
  • $121.00
  • ADD TO CART
  • Limited Stock Locking C-Clamp - Round Tip PR115
  • Compare
  • Wishlist
  • W1016
  • PR115
  • Locking Clamp-Round Tip
  • 102mm
  • ~
  • ~
  • ~
  • 83
  • ~
  • ~
  • ~
  • ~
  • ~
  • 0.9
  • $45.00
  • $49.50
  • ADD TO CART
  • Limited Stock Locking C-Clamp - Swivel Tip PR115S
  • Compare
  • Wishlist
  • W1017
  • PR115S
  • Locking Clamp-Swivel Tip
  • 102mm
  • ~
  • ~
  • ~
  • 83
  • ~
  • ~
  • ~
  • ~
  • ~
  • 1.0
  • $50.00
  • $55.00
  • ADD TO CART